GCLOUD_PREVIEW_DATASTORE(1)

NAME

gcloud preview datastore - manage your Cloud Datastore

SYNOPSIS

gcloud preview datastore COMMAND [GLOBAL-FLAG ...]

DESCRIPTION
(PREVIEW) This set of commands allows you to create and delete datastore indexes.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

COMMANDS
COMMAND is one of the following: cleanup-indexes
    (PREVIEW) Remove unused datastore indexes based on your local index configuration.
create-indexes
    (PREVIEW) Create new datastore indexes based on your local index configuration.

EXAMPLES
To create new indexes from a file, run:
    $ gcloud preview datastore create-indexes index.yaml
To clean up unused indexes from a file, run:
    $ gcloud preview datastore cleanup-indexes index.yaml

NOTES
This command is currently in DEVELOPER PREVIEW and may change without notice.